class SearchItemModel {
  String? assetType;
  String? assetId;
  String? assetName;

  SearchItemModel({
    this.assetType,
    this.assetId,
    this.assetName,
  });

  SearchItemModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    assetType = map['assetType'];
    assetId = map['assetId'];
    assetName = map['assetName'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['assetType'] = this.assetType;
    json['assetId'] = this.assetId;
    json['assetName'] = this.assetName;

    return json;
  }
}
